package com.qmth.themis.business.util;

import com.qmth.themis.business.domain.MonitorDomain;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * @Description: monitorutil
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/21
 */
@Component
public class MonitorUtil {

    private MonitorDomain monitorDomain;

    @Bean
    public MonitorDomain monitorEnv(MonitorDomain monitorDomain) {
        this.monitorDomain = new MonitorDomain(monitorDomain.getPrefix());
        return this.monitorDomain;
    }

    public MonitorDomain getMonitorDomain() {
        return monitorDomain;
    }
}
